/* $Id: cvtToSec1996.c,v 1.1 1998/07/15 18:24:24 bruce Exp bruce $ */

/* $RCSfile: cvtToSec1996.c,v $ */
/* $Author: bruce $ */
/* $Date: 1998/07/15 18:24:24 $ */
/* $Revision: 1.1 $ */

/* This function takes a time stored in an AceTime data structure   */
/* and returns a time expressed in seconds since 00:00:00 of        */
/* January 1, 1996.                                                 */
/*                                                                  */
/*                                                                  */
/* Arguments                                                        */
/*   time = time structure to be converted - input                  */

#include <sys/types.h>
#include "hdf.h"
#include "AceTime.h"
#include "AceTime_yd.h"
#include "utilities.h"

u_long cvtToSec1996(struct AceTime time)
{
    static u_long MonthTable[((2040-1996) + 1) * 12];
       static int nmonth = 0;

      long index;
    u_long sec;

    if (!nmonth) {
       initTabSec1996(MonthTable);
       nmonth = ((2040 - 1996) + 1) * 12;
    }

   index = 12 * (time.year - 1996) + (time.month - 1);
   sec =  MonthTable[index] + (u_long) (86400L * (time.day - 1)
                                      +  3600L * time.hour
                                      +    60L * time.min
                                      +          time.sec);
   return sec;
}
